package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class ZfxxysqgkDwDTO implements java.io.Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "主键")
    private String rsWbZfxxysqgkLsh;
	
	@ApiModelProperty(value = "办件流水号")
	@NotBlank(message = "办件流水号不能为空")
    private String rsWbBjLsh;
	
	@ApiModelProperty(value = "单位名称")
	@NotBlank(message = "单位名称不能为空")
    private String dwmc;

    @ApiModelProperty(value = "统一社会信用代码")
    @NotBlank(message = "统一社会信用代码不能为空")
    private String tyshxydm;

    @ApiModelProperty(value = "通信地址")
    @NotBlank(message = "通信地址不能为空")
    private String dwtxdz;

    @ApiModelProperty(value = "法人代表")
    @NotBlank(message = "法人代表不能为空")
    private String frdm;

    @ApiModelProperty(value = "联系人")
    @NotBlank(message = "联系人不能为空")
    private String lxr;

    @ApiModelProperty(value = "联系人电话")
    @NotBlank(message = "联系人电话不能为空")
    private String lxrdh;

    @ApiModelProperty(value = "联系人电子邮箱")
    @NotBlank(message = "联系人电子邮箱不能为空")
    private String lxrdzyx;
	
    @ApiModelProperty(value = "文件名称")
    private String wjmc;

    @ApiModelProperty(value = "文号")
    private String wh;

    @ApiModelProperty(value = "或者其他特征性描述")
    @NotBlank(message = "或者其他特征性描述不能为空")
    private String hzqttzxms;

    @ApiModelProperty(value = "所需政府信息用途")
    @NotBlank(message = "所需政府信息用途不能为空")
    private String sxzfxxyt;

    @ApiModelProperty(value = "提供政府信息的指定方式")
    @NotBlank(message = "提供政府信息的指定方式不能为空")
    private String tgzfxxdzdfs;

    @ApiModelProperty(value = "获取政府信息的途径")
    @NotBlank(message = "获取政府信息的途径不能为空")
    private String hqzfxxdtj;

	public String getRsWbZfxxysqgkLsh() {
		return rsWbZfxxysqgkLsh;
	}

	public void setRsWbZfxxysqgkLsh(String rsWbZfxxysqgkLsh) {
		this.rsWbZfxxysqgkLsh = rsWbZfxxysqgkLsh;
	}

	public String getRsWbBjLsh() {
		return rsWbBjLsh;
	}

	public void setRsWbBjLsh(String rsWbBjLsh) {
		this.rsWbBjLsh = rsWbBjLsh;
	}

	public String getDwmc() {
		return dwmc;
	}

	public void setDwmc(String dwmc) {
		this.dwmc = dwmc;
	}

	public String getTyshxydm() {
		return tyshxydm;
	}

	public void setTyshxydm(String tyshxydm) {
		this.tyshxydm = tyshxydm;
	}

	public String getDwtxdz() {
		return dwtxdz;
	}

	public void setDwtxdz(String dwtxdz) {
		this.dwtxdz = dwtxdz;
	}

	public String getFrdm() {
		return frdm;
	}

	public void setFrdm(String frdm) {
		this.frdm = frdm;
	}

	public String getLxr() {
		return lxr;
	}

	public void setLxr(String lxr) {
		this.lxr = lxr;
	}

	public String getLxrdh() {
		return lxrdh;
	}

	public void setLxrdh(String lxrdh) {
		this.lxrdh = lxrdh;
	}

	public String getLxrdzyx() {
		return lxrdzyx;
	}

	public void setLxrdzyx(String lxrdzyx) {
		this.lxrdzyx = lxrdzyx;
	}

	public String getWjmc() {
		return wjmc;
	}

	public void setWjmc(String wjmc) {
		this.wjmc = wjmc;
	}

	public String getWh() {
		return wh;
	}

	public void setWh(String wh) {
		this.wh = wh;
	}

	public String getHzqttzxms() {
		return hzqttzxms;
	}

	public void setHzqttzxms(String hzqttzxms) {
		this.hzqttzxms = hzqttzxms;
	}

	public String getSxzfxxyt() {
		return sxzfxxyt;
	}

	public void setSxzfxxyt(String sxzfxxyt) {
		this.sxzfxxyt = sxzfxxyt;
	}

	public String getTgzfxxdzdfs() {
		return tgzfxxdzdfs;
	}

	public void setTgzfxxdzdfs(String tgzfxxdzdfs) {
		this.tgzfxxdzdfs = tgzfxxdzdfs;
	}

	public String getHqzfxxdtj() {
		return hqzfxxdtj;
	}

	public void setHqzfxxdtj(String hqzfxxdtj) {
		this.hqzfxxdtj = hqzfxxdtj;
	}
}    
